<?php
$m = 'UpdateTool';
$berogui_path = '/usr/local/www/berogui';

/* [CHECKING SESSION] */
$newTarget = "/app/berogui/index.php?m=$m";
include("$berogui_path/includes/session.php");
unset($newTarget);

/* [CHECKING GET] */
unset($_GET);

/* [CHECKING POST] */
unset($_POST['submit']);

$exec_ajax = 1;
$invalid = array();

$list_data = array(
	'sbcvmupdate-mode' 	=> 'select',
	'sbcvmupdate-reboot'	=> 'bool',
	'sbcvmupdate-shownotif'	=> 'bool',
);

$frames = array('daily', 'weekly', 'monthly');
$options_data = array(
	'sbcvmupdate-mode'	=> $frames,
);

require_once("$berogui_path/includes/Helper/Helper.php");
$data = Helper::sanitizePost($_POST['data'], $list_data, $exec_ajax, $invalid, $options_data);
unset($_POST);

/* [EXECUTING AJAX] */
if (!$exec_ajax) {
	echo "<script>window.location='../../index.php?m=$m&error=1&request={$invalid['request']}&checkor={$invalid['checkor']}&key={$invalid['key']}'</script>";
	exit(1);
}

// clean /etc/cron.* directories
if (!Helper::cleanCronDirectories('sbcvm-update', $frames)) {
	echo "<script>window.location='../../index.php?m=$m&error=2'</script>";
	exit(1);
}

// copy/past to cron.$frame directory
$retval = 0;
echo system("cp /usr/local/beroNet/bin/sbcvm-update /etc/cron.{$data['sbcvmupdate-mode']}/", $retval);
if ($retval) {
	echo "<script>window.location='../../index.php?m=$m&error=3'</script>";
	exit(1);
}	

// update database
require_once("/usr/fallback/beroConf.php");
$bc = new beroConf('root');
foreach ($data as $key => $value) {
	$bc->set('root', $key, $value);
}

// redirect
if ($bc->is_error()) {
        echo "<script>alert('". $bc->error() . "');</script>";
}
else {
        echo "<script>window.location='../../index.php?m=$m&success=1'</script>";
}

exit(0);
?>
